Skip to main content
PATCH
/
v2
/
admin
/
extensions
/
sip
/
{id}
Edit SIP Extension
curl --request PATCH \
  --url https://api.voxo.co/v2/admin/extensions/sip/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "emergencyLocationId": 123,
  "emergencyLocation": "<string>",
  "branchId": 123,
  "publicIp": "127.0.0.1",
  "callLimit": 123,
  "callerIdNumber": "<string>",
  "outboundDialPrefix": "<string>",
  "dialTimeout": 123,
  "musicOnHoldId": 123,
  "routingProfileId": 123,
  "includeInPhonebook": true,
  "includeInDialByName": true,
  "enable911Override": 0.5
}
'
import requests

url = "https://api.voxo.co/v2/admin/extensions/sip/{id}"

payload = {
"name": "<string>",
"emergencyLocationId": 123,
"emergencyLocation": "<string>",
"branchId": 123,
"publicIp": "127.0.0.1",
"callLimit": 123,
"callerIdNumber": "<string>",
"outboundDialPrefix": "<string>",
"dialTimeout": 123,
"musicOnHoldId": 123,
"routingProfileId": 123,
"includeInPhonebook": True,
"includeInDialByName": True,
"enable911Override": 0.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
emergencyLocationId: 123,
emergencyLocation: '<string>',
branchId: 123,
publicIp: '127.0.0.1',
callLimit: 123,
callerIdNumber: '<string>',
outboundDialPrefix: '<string>',
dialTimeout: 123,
musicOnHoldId: 123,
routingProfileId: 123,
includeInPhonebook: true,
includeInDialByName: true,
enable911Override: 0.5
})
};

fetch('https://api.voxo.co/v2/admin/extensions/sip/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "tenant": {
    "id": 123,
    "name": "<string>"
  },
  "name": "<string>",
  "number": "<string>",
  "email": "<string>",
  "peerName": "<string>",
  "callerIdNumber": "<string>",
  "recording": "<string>",
  "trunk": "<string>",
  "trunkHost": "<string>",
  "trunkCallerIdSource": "<string>",
  "trunkEmergencyCallerIdOverride": "<string>",
  "callLimit": 123,
  "dialTimeout": 123,
  "routingProfileId": 123,
  "musicOnHoldId": 123,
  "emergencyLocationId": 123,
  "outboundDialPrefix": "<string>",
  "includeInDialByName": "<string>",
  "includeInPhonebook": "<string>",
  "emergencyLocationComment": "<string>",
  "branch": {
    "id": 123,
    "name": "<string>"
  },
  "emergencyLocation": {
    "id": 123,
    "address": "<unknown>"
  },
  "musicOnHold": {
    "id": 123,
    "name": "<string>"
  },
  "routingProfile": {
    "id": 123,
    "name": "<string>",
    "type": "<string>"
  }
}
{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}
{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Extension ID

Pattern: ^[1-9]\d*$

Body

application/json
name
string
Minimum string length: 3
emergencyLocationId
number
emergencyLocation
string | null
branchId
number
authMethod
enum<string>
Available options:
NORMAL,
IP
publicIp
string<ipv4>
Pattern: ^(?:(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])\.){3}(?:25[0-5]|2[0-4][0-9]|1[0-9][0-9]|[1-9][0-9]|[0-9])$
callLimit
number
trunkCallerIdSource
enum<string>
Available options:
PAI,
RPID,
FROM
callerIdNumber
string | null
Pattern: ^[1-9]\d{9}$
outboundDialPrefix
Pattern: ^[1-9][0-9]{6}$
dialTimeout
number
Required range: x <= 180Must be a multiple of 5
musicOnHoldId
number
routingProfileId
number
includeInPhonebook
boolean
includeInDialByName
boolean
enable911Override
number
Required range: 0 <= x <= 1

Response

Updated SIP extension

id
number
required

Extension ID

tenant
object
required

Owning tenant

name
string | null
required

Extension name

number
string | null
required

Extension number

email
string | null
required

Extension email

peerName
string | null
required

SIP peer name

callerIdNumber
string | null
required

Outbound caller ID number

recording
string | null
required

Call recording mode

trunk
string | null
required

Trunk state

trunkHost
string | null
required

Trunk host

trunkCallerIdSource
string | null
required

Trunk caller ID source

trunkEmergencyCallerIdOverride
string | null
required

Trunk emergency caller ID override

callLimit
number | null
required

Concurrent call limit

dialTimeout
number | null
required

Inbound ring timeout (seconds)

routingProfileId
number | null
required

Routing profile ID

musicOnHoldId
number | null
required

Music on hold ID

emergencyLocationId
number | null
required

Emergency location ID

outboundDialPrefix
string | null
required

Outbound dial prefix

includeInDialByName
string | null
required

Dial-by-name inclusion

includeInPhonebook
string | null
required

Phonebook inclusion

emergencyLocationComment
string | null
required

Free-text emergency location comment

branch
object
required

Branch)

emergencyLocation
object | null
required

Emergency location

musicOnHold
object | null
required

Music on hold

routingProfile
object
required

Routing profile